info.bioinfweb.jphyloio.dataadapters.implementations

## Class EmptyDocumentDataAdapter

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.EmptyAnnotatedDataAdapter<ConcreteJPhyloIOEvent>
  - - info.bioinfweb.jphyloio.dataadapters.implementations.EmptyDocumentDataAdapter

- All Implemented Interfaces:
    AnnotatedDataAdapter, DocumentDataAdapter

      public class EmptyDocumentDataAdapter
      extends EmptyAnnotatedDataAdapter<ConcreteJPhyloIOEvent>
      implements DocumentDataAdapter

  An implementation of `DocumentDataAdapter` that models an empty document.

  Adapters that need to implement only some of the methods of `DocumentDataAdapter` could be inherited from this class.

  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyDocumentDataAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<MatrixDataAdapter>` | `getMatrixIterator(ReadWriteParameterMap parameters)` Returns an iterator providing access to all matrices contained in the document to be written.
    `OTUListDataAdapter` | `getOTUList(ReadWriteParameterMap parameters, java.lang.String id)` Returns the OTU list referenced by the specified ID.
    `long` | `getOTUListCount(ReadWriteParameterMap parameters)` Returns the number of OTU lists provided by this document adapter.
    `java.util.Iterator<OTUListDataAdapter>` | `getOTUListIterator(ReadWriteParameterMap parameters)` Returns an iterator providing access to all OTU lists contained in the document to be written.
    `java.util.Iterator<TreeNetworkGroupDataAdapter>` | `getTreeNetworkGroupIterator(ReadWriteParameterMap parameters)` Returns an iterator providing access to all trees and network groups contained in the document to be written.

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.EmptyAnnotatedDataAdapter

      `writeMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.AnnotatedDataAdapter

      `writeMetadata`

- - ### Constructor Detail

    - #### EmptyDocumentDataAdapter

          public EmptyDocumentDataAdapter()

  - ### Method Detail

    - #### getOTUListIterator

          public java.util.Iterator<OTUListDataAdapter> getOTUListIterator(ReadWriteParameterMap parameters)

      Description copied from interface: `DocumentDataAdapter`
      Returns an iterator providing access to all OTU lists contained in the document to be written.
      Specified by:
        `getOTUListIterator` in interface `DocumentDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the iterator (May be empty but not `null`.)

    - #### getOTUListCount

          public long getOTUListCount(ReadWriteParameterMap parameters)

      Description copied from interface: `DocumentDataAdapter`
      Returns the number of OTU lists provided by this document adapter.
      Specified by:
        `getOTUListCount` in interface `DocumentDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the number of OTU lists, that will be returned by `DocumentDataAdapter.getOTUListIterator(ReadWriteParameterMap)`

    - #### getOTUList

          public OTUListDataAdapter getOTUList(ReadWriteParameterMap parameters,
                                               java.lang.String id)
                                        throws java.lang.IllegalArgumentException

      Description copied from interface: `DocumentDataAdapter`
      Returns the OTU list referenced by the specified ID.
      Specified by:
        `getOTUList` in interface `DocumentDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
        `id` - the ID of the OTU list to be returned
      Returns:
        the OTU list referenced by the specified ID
      Throws:
        `java.lang.IllegalArgumentException` - if no OTU list with the specified ID is available

    - #### getMatrixIterator

          public java.util.Iterator<MatrixDataAdapter> getMatrixIterator(ReadWriteParameterMap parameters)

      Description copied from interface: `DocumentDataAdapter`
      Returns an iterator providing access to all matrices contained in the document to be written.
      Specified by:
        `getMatrixIterator` in interface `DocumentDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the iterator (Maybe empty but not `null`.)

    - #### getTreeNetworkGroupIterator

          public java.util.Iterator<TreeNetworkGroupDataAdapter> getTreeNetworkGroupIterator(ReadWriteParameterMap parameters)

      Description copied from interface: `DocumentDataAdapter`
      Returns an iterator providing access to all trees and network groups contained in the document to be written.
      Specified by:
        `getTreeNetworkGroupIterator` in interface `DocumentDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the iterator (Maybe empty but not `null`.)